<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/samplePosterior.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">samplePosterior.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../df/d2e/sample_posterior_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="../../df/d2e/sample_posterior_8m.html#ab9f6822a2fb598a8f4eff067e0d026ac">    1</a></span>&#160;<span class="keyword">function</span> []=<a class="code" href="../../df/d2e/sample_posterior_8m.html#ab9f6822a2fb598a8f4eff067e0d026ac">samplePosterior</a>()</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;initPaths()</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;% change the result file accordingly</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;fname=&#39;./ResultsNLME/AR_pool_1_Result_Transfection2018_Data_deGFP.mat&#39;;</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;load(fname);</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;% initialise parpool, e.p. jobs, use an appropriate cluster</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;c = parcluster(&#39;local&#39;);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;c.NumWorkers = 50;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;parpool(c, c.NumWorkers);</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;nsamples=1e4;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;singlecell_estimates=singlecell_estimates;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;Model=Model;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;for i=1:length(singlecell_estimates)</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;singlecell_estimates(i).Post_samples=[];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;singlecell_estimates(i).Post_Mean=[];</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;singlecell_estimates(i).Post_Var=[];</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;end</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;parfor i=1:length(singlecell_estimates)</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;[parameters]=<a class="code" href="../../df/df5/_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m.html#af1c077c6209251e34d80064d0eae2d80">sampleSinglecellEstimates</a>(singlecell_estimates(i),nsamples,Model);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;singlecell_estimates(i).Post_samples=parameters;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;singlecell_estimates(i).Post_Mean=mean(parameters.S.par(:,nsamples/2:end),2)&#39;;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;singlecell_estimates(i).Post_Var=cov(parameters.S.par(:,nsamples/2:end)&#39;);</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;end</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;save(fname,&#39;singlecell_estimates&#39;,&#39;-append&#39;)</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m_html_af1c077c6209251e34d80064d0eae2d80"><div class="ttname"><a href="../../df/df5/_llamosi2016_2_user_fns_2sample_singlecell_estimates_8m.html#af1c077c6209251e34d80064d0eae2d80">sampleSinglecellEstimates</a></div><div class="ttdeci">function sampleSinglecellEstimates(in singlecell_estimates, in nsamples, in Model)</div><div class="ttdoc">%&gt;</div></div>
<div class="ttc" id="asample_posterior_8m_html_ab9f6822a2fb598a8f4eff067e0d026ac"><div class="ttname"><a href="../../df/d2e/sample_posterior_8m.html#ab9f6822a2fb598a8f4eff067e0d026ac">samplePosterior</a></div><div class="ttdeci">function samplePosterior()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
